{{- if .Values.enabled }}
{{- $namespace := .Release.Namespace -}}
{{- $applicationName := .Values.application.name -}}
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: {{ $applicationName }}
  namespace: {{ $namespace }}
  labels:
    {{- include "storage-class-gfs.standard" . | nindent 4 }}
provisioner: kubernetes.io/glusterfs
reclaimPolicy: {{ .Values.storageClass.reclaimPolicy }}
allowVolumeExpansion: {{ .Values.storageClass.allowVolumeExpansion }}
parameters:
  resturl: {{ .Values.heketi.heketiResturl }}
  restauthenabled: "true"
  restuser: "{{ .Values.heketi.restuser }}"
  secretNamespace: {{ .Values.heketi.secretNamespace | default $namespace | quote }}
  secretName: {{ $applicationName | quote }}
  volumetype: "{{ .Values.heketi.volumetype }}"
---
{{- end }}